#!/bin/bash

dropdb --if-exists test > /dev/null 2>&1
createdb test > /dev/null 2>&1

w=`psql -t -A test -c "show max_parallel_maintenance_workers"`

if [ "$w" -ne "0" ]; then
	echo "disable parallel maintenance workers"
	exit 1
fi

for r in 100000 1000000; do

	for p in 16 64 128; do

		for v in 8 32 128; do

			./brin-int4.sh $r $p $v
			./brin-int8.sh $r $p $v

			./brin-inet-ipv4.sh $r $p $v
			./brin-inet-ipv6.sh $r $p $v

		done

	done

done
